# encoding: UTF-8
# frozen_string_literal: true


# Refinements
# =======================================================================

require 'nrser/refinements/types'
using NRSER::Types


# Definitions
# =======================================================================

# TODO  Doc me pls
# 
class Locd::CLI::Command::Site < Locd::CLI::Command::Agent
  
  # Helpers
  # ============================================================================
  # 
  
  def self.agent_class
    Locd::Agent::Site
  end
  
  
  protected
  # ========================================================================
    
    def agent_table agents
      Locd::CLI::Table.build do |t|
        t.col "PID", &:pid
        t.col "LEC", desc: "Last Exit Code", &:last_exit_code
        t.col "URL", &:url
        t.col "Port", &:port
        t.col "File" do |agent| agent_file agent end
        
        t.rows agents
      end
    end
    
  # end protected
  public
  
  
end # class Locd::CLI::Command::Site
